mutation CreateTeamMember(
  $teamId: UUID!,
  $memberName: String!,
  $email: String!,
  $role: TeamMemberRole,
  $isActive: Boolean
) @auth(level: USER) {
  teamMember_insert(
    data: {
      teamId: $teamId
      memberName: $memberName
      email: $email
      role: $role
      isActive: $isActive
    }
  )
}

mutation UpdateTeamMember(
  $id: UUID!,
  $teamId: UUID,
  $memberName: String,
  $email: String,
  $role: TeamMemberRole,
  $isActive: Boolean
) @auth(level: USER) {
  teamMember_update(
    id: $id,
    data: {
      teamId: $teamId
      memberName: $memberName
      email: $email
      role: $role
      isActive: $isActive
    }
  )
}

mutation DeleteTeamMember(
  $id: UUID!
) @auth(level: USER) {
  teamMember_delete(id: $id)
}
